| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CSTAApplicationInterfaceOptions Struct Reference
CSTA Application

CSTA Application Interface Options. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__boolean * | EnableSIPUri
| Enable SIP URI support. More...
xsd__boolean * | EnableConsultCallForConnectOnHold
| Enable consult call for connect on hold. More...
xsd__boolean * | EnablePrivateDataPresentationV8
| Enable Private Data Presentation on V8. More...
xsd__boolean * | EnableInternalServiceEvents
| Enable Internal Service Events. More...
xsd__boolean * | EnableSharedBridgeAppearances
| Enable Shared Bridge Appearances support for Keysets, CSTA / SPOK required: false default value[range]: false. More...
xsd__boolean * | Enable911PrivateDataPresentation
| Enable 911 Private Data Presentation. More...
xsd__boolean * | EnableGroupPickup
| Enable Group Pickup. More...
xsd__boolean * | EnableBackupPreferredDeviceRouting
| Enable Backup Preferred Device Routing required: false default value[range]: false. More...
xsd__boolean * | AllowCancellationSingleStepTransfer
| Allow Cancellation of Single Step Transfer required: false default value[range]: false. More...

## Detailed Description

CSTA Application Interface Options.

## Member Data Documentation

## ◆ AllowCancellationSingleStepTransfer

xsd__boolean* unsp__CSTAApplicationInterfaceOptions::AllowCancellationSingleStepTransfer

Allow Cancellation of Single Step Transfer
required: false
default value[range]: false.

## ◆ Enable911PrivateDataPresentation

xsd__boolean* unsp__CSTAApplicationInterfaceOptions::Enable911PrivateDataPresentation

Enable 911 Private Data Presentation.

required: false
default value[range]: false

## ◆ EnableBackupPreferredDeviceRouting

xsd__boolean* unsp__CSTAApplicationInterfaceOptions::EnableBackupPreferredDeviceRouting

Enable Backup Preferred Device Routing
required: false
default value[range]: false.

## ◆ EnableConsultCallForConnectOnHold

xsd__boolean* unsp__CSTAApplicationInterfaceOptions::EnableConsultCallForConnectOnHold

Enable consult call for connect on hold.

required: false
default value[range]: false

## ◆ EnableGroupPickup

xsd__boolean* unsp__CSTAApplicationInterfaceOptions::EnableGroupPickup

Enable Group Pickup.

required: false
default value[range]: false

## ◆ EnableInternalServiceEvents

xsd__boolean* unsp__CSTAApplicationInterfaceOptions::EnableInternalServiceEvents

Enable Internal Service Events.

When this option is enabled, internal events such as Call Log Event will be sent by CSTA SM
required: false
default value[range]: false

## ◆ EnablePrivateDataPresentationV8

xsd__boolean* unsp__CSTAApplicationInterfaceOptions::EnablePrivateDataPresentationV8

Enable Private Data Presentation on V8.

required: false
default value[range]: false

## ◆ EnableSharedBridgeAppearances

xsd__boolean* unsp__CSTAApplicationInterfaceOptions::EnableSharedBridgeAppearances

Enable Shared Bridge Appearances support for Keysets, CSTA / SPOK
required: false
default value[range]: false.

## ◆ EnableSIPUri

xsd__boolean* unsp__CSTAApplicationInterfaceOptions::EnableSIPUri

Enable SIP URI support.

The option is not allowed for applications of Telefonica type.
required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h